import request from '@/utils/request'

// 查询 专项培养年度计划列表
export function listYearplan(query) {
  return request({
    url: '/spec/yearplan/list',
    method: 'get',
    params: query
  })
}

// 查询 专项培养年度计划详细
export function getYearplan(id) {
  return request({
    url: '/spec/yearplan/' + id,
    method: 'get'
  })
}

// 新增 专项培养年度计划
export function addYearplan(data) {
  return request({
    url: '/spec/yearplan',
    method: 'post',
    data: data
  })
}

// 修改 专项培养年度计划
export function updateYearplan(data) {
  return request({
    url: '/spec/yearplan',
    method: 'put',
    data: data
  })
}

// 删除 专项培养年度计划
export function delYearplan(id) {
  return request({
    url: '/spec/yearplan/' + id,
    method: 'delete'
  })
}

// 导出 专项培养年度计划
export function exportYearplan(query) {
  return request({
    url: '/spec/yearplan/export',
    method: 'get',
    params: query
  })
}
